### Hierarchy

- AudioScheduledSourceNode
  - ConstantSourceNode

## Index

### Properties

- AudioScheduledSourceNode
- channelCount
- channelCountMode
- channelInterpretation
- context
- numberOfInputs
- numberOfOutputs
- offset
- onended

### Methods

- addEventListener
- connect
- disconnect
- dispatchEvent
- removeEventListener
- start
- stop

## Properties

### AudioScheduledSourceNode

AudioScheduledSourceNode: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2045

#### Type declaration

- ##### constructor: function

  - new __type(): AudioScheduledSourceNode
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2046

    #### Returns AudioScheduledSourceNode

- ##### prototype: AudioScheduledSourceNode

### channelCount

channelCount: number

Inherited from AudioNode.channelCount

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1969

### channelCountMode

channelCountMode: ChannelCountMode

Inherited from AudioNode.channelCountMode

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1970

### channelInterpretation

channelInterpretation: ChannelInterpretation

Inherited from AudioNode.channelInterpretation

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1971

### context

context: BaseAudioContext

Inherited from AudioNode.context

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1972

### numberOfInputs

numberOfInputs: number

Inherited from AudioNode.numberOfInputs

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1973

### numberOfOutputs

numberOfOutputs: number

Inherited from AudioNode.numberOfOutputs

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1974

### offset

offset: AudioParam

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3329

### onended

onended: function | null

Inherited from AudioScheduledSourceNode.onended

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2036

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides AudioScheduledSourceNode.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3330

  #### Type parameters

  - #### K: keyof AudioScheduledSourceNodeEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: ConstantSourceNode, ev: AudioScheduledSourceNodeEventMap[K]): any

      - #### Parameters

        - ##### this: ConstantSourceNode

        - ##### ev: AudioScheduledSourceNodeEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides AudioScheduledSourceNode.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3331

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### connect

- connect(destinationNode: AudioNode, output?: undefined | number, input?: undefined | number): AudioNode
- connect(destinationParam: AudioParam, output?: undefined | number): void

- Inherited from AudioNode.connect

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1975

  #### Parameters

  - ##### destinationNode: AudioNode

  - ##### Optional output: undefined | number

  - ##### Optional input: undefined | number

  #### Returns AudioNode

- Inherited from AudioNode.connect

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1976

  #### Parameters

  - ##### destinationParam: AudioParam

  - ##### Optional output: undefined | number

  #### Returns void

### disconnect

- disconnect(): void
- disconnect(output: number): void
- disconnect(destinationNode: AudioNode): void
- disconnect(destinationNode: AudioNode, output: number): void
- disconnect(destinationNode: AudioNode, output: number, input: number): void
- disconnect(destinationParam: AudioParam): void
- disconnect(destinationParam: AudioParam, output: number): void

- Inherited from AudioNode.disconnect

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1977

  #### Returns void

- Inherited from AudioNode.disconnect

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1978

  #### Parameters

  - ##### output: number

  #### Returns void

- Inherited from AudioNode.disconnect

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1979

  #### Parameters

  - ##### destinationNode: AudioNode

  #### Returns void

- Inherited from AudioNode.disconnect

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1980

  #### Parameters

  - ##### destinationNode: AudioNode

  - ##### output: number

  #### Returns void

- Inherited from AudioNode.disconnect

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1981

  #### Parameters

  - ##### destinationNode: AudioNode

  - ##### output: number

  - ##### input: number

  #### Returns void

- Inherited from AudioNode.disconnect

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1982

  #### Parameters

  - ##### destinationParam: AudioParam

  #### Returns void

- Inherited from AudioNode.disconnect

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1983

  #### Parameters

  - ##### destinationParam: AudioParam

  - ##### output: number

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides AudioScheduledSourceNode.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3332

  #### Type parameters

  - #### K: keyof AudioScheduledSourceNodeEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: ConstantSourceNode, ev: AudioScheduledSourceNodeEventMap[K]): any

      - #### Parameters

        - ##### this: ConstantSourceNode

        - ##### ev: AudioScheduledSourceNodeEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides AudioScheduledSourceNode.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3333

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### start

- start(when?: undefined | number): void

- Inherited from AudioScheduledSourceNode.start

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2037

  #### Parameters

  - ##### Optional when: undefined | number

  #### Returns void

### stop

- stop(when?: undefined | number): void

- Inherited from AudioScheduledSourceNode.stop

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2038

  #### Parameters

  - ##### Optional when: undefined | number

  #### Returns void

Generated using TypeDoc